largeFont = love.graphics.newFont(128)
normalFont = love.graphics.newFont(16)
smallFont = love.graphics.newFont(10)

local buttons = {
{
x = love.graphics.getWidth()/2 - 100,
y = 200,
text = "Play Demo",
},

{
x = love.graphics.getWidth()/2 - 100,
y = 300,
text = "Options",
},

{
x = love.graphics.getWidth()/2 - 100,
y = 400,
text = "Credits",
},
}

local VERSION = "Alpha 0.04"

function drawTitle()
	love.graphics.setBackgroundColor(100,0,0)
	love.graphics.setFont(largeFont)
	love.graphics.printf("Gravitate",0,10,love.graphics:getWidth(),"center")
	love.graphics.setFont(normalFont)
	for i=1,#buttons do
		local b = buttons[i]
		love.graphics.setColor(10,100,200)
		love.graphics.rectangle("fill",b.x,b.y,200,50)
		love.graphics.setColor(255,255,255)
		love.graphics.printf(b.text,b.x,b.y+15,200,"center")
	end
	love.graphics.setColor(255,255,255)
	love.graphics.setFont(smallFont)
	love.graphics.print("Version "..VERSION,0,love.graphics.getHeight()-12)
	love.graphics.setFont(normalFont)
end

function updateTitle(dt)

end

function mousePressedTitle(x,y,b)
	for i=1,#buttons do
		local b = buttons[i]
		if x>b.x and x<b.x+200 and y>b.y and y<b.y+50 then
			if b.text == "Play Demo" then
				loadMap("maps/Hello World")
				state = "level"
			elseif b.text == "Options" then
				state = "options"
			elseif b.text == "Credits" then
				state = "credits"
			end
		end
	end
end